Subject: Re: [bug#31668] [PATCH 2/2] gnu: Add qtwebglplugin.

From: [email-masked] (宋文武)
Date: Mon, 11 Jun 2018 20:19:32 +0800

Hartmut Goebel <[email-masked]> writes:

> Am 10.06.2018 um 04:55 schrieb 宋文武:
>> Hello, what’s “implemented badly” means?  I think ‘mesa’ and
>> ‘qtwebsockets’ belongs to the ‘inputs’ nicely, since after build
>> ‘qtwebglplugin’ does keep references to them.
>
> If you put these two into "inputs", the build fails. I can not remember
> the details, but ASAIR it looked like somebody missed preparation. You
> may want to try yourself, qtwebglplugin build quickly.

Oh, that’s due to the package inherit from ‘qtsvg’, and in the inherited
‘configure-qmake’ phase, it will run ‘(assoc-ref inputs "qtbase")’.  Add
‘qtbase’ to ‘inputs’ will make it built, and the ‘perl’ is not needed,
as the below works for me:
--8<---------------cut here---------------start------------->8---
    (native-inputs '())
    (inputs
     `(("mesa" ,mesa)
       ("qtbase" ,qtbase)
       ("qtwebsockets" ,qtwebsockets)))
--8<---------------cut here---------------end--------------->8---

Otherwise, look good to me, thanks!